html{
    height: 100%;
}

body{
    font-family: sans-serif;
    
    margin:0;
    padding:0;
    
    height: 100%;
}

.body-home{
 background-image: url('images/background-01-port.jpg');
background-position: center;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
}

.body-meals{
 background-image: url('images/background-02-port.png');
background-position: center;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
}

/*========== HEADER ==========*/

.header{
    background-color:#696969;
    
    width:100%;
    height: 50px;
    top:0;
    
    position: fixed;
    overflow: hidden;
    text-align: center;
}

.header i{
    float: left;
    padding: 17px 0px 0px 17px;
    color: #ffffff
}

.header img{
    width: 150px;
    padding-top: 14px;
    padding-right: 25px;
}

/*========== Home Page ==========*/
#home-logo-image{
    width: 280px;
	height: 320px;
    display:block;
    margin: auto;
    padding: 25px 10px 10px 10px;
}

#home-logo-text{
    width: auto;
    display:block;
    margin: auto;
    padding: 25px;
}


/*========== Home Page Menu ==========*/

.home-menu-item{
    text-decoration: none;
    text-transform: uppercase;
    
    color:#ffffff;
    font-size: 25px;
    font-weight: bold;
    text-align: center;
    border:5px solid #ffffff;
    
    display: block;
    margin: auto;
    margin-bottom: 10px;
    width: 80%;
}

.home-menu :hover{
    color: black;
}

/*========== Meals Page ==========*/
#meals {
    padding-top: 50px;
}

/*========== Meals Page Menu ==========*/

.meals-list a {
    text-decoration: none;
}
.meals-list-item {
    border: 5px solid #1a1a1a;
    margin: 10px;
}
.meals-list-item h1 {
    font-weight: bold;
    font-size: 20px;
    color: #2b2a2a;
    padding-left: 10px;
}
.meals-list-item h1:hover {
    font-weight: bold;
    font-size: 26px;
    color: #fcfcfc;
}
.meals-list-item i {
    float: right;
    color: #1a1a1a;
    padding-right: 10px;
}
.meals-list-item p {
    font-size: 15px;
    font-style: italic;
    color: #b5b5b5;
    margin-top: -7px;
    padding-left: 10px;
}




/*========== Recipe Page ==========*/
#recipe{
    padding: 20px;
}

/*========== Recipe Details ==========*/

.recipe-details img {
    width: 100%;
}
.recipe-details h1 {
   font-size: 25px;
    text-align: center;
    border: 5px solid #1a1a1a;
    margin: 10px;
    padding: 5px;
}
.recipe-details h2 {
   font-size: 20px;
    text-align: left;
    margin: 0;
    margin-left: 10px;
}

.recipe-details-info{
	margin-left: 25px;
	margin-right: 25px;
}
.recipe-details-info p{
    font-size: 13px;
    display: inline-block;
    
}
.recipe-details-ingredients label{
 line-height: 25px;
    margin-left: 10px;
    
}
.recipe-details-steps {
    padding-top: 20px
}
recipe-details-steps ol {
    padding-left: 28px;
}

input #name{
	width: 100%;
	height: 25px;
	margin: 13px 0;
	border: 3px solid black;
}

input #email{
	width: 100%;
	height: 25px;
	margin: 13px 0;
	border: 15px solid black;
}

textarea{
    width: 100%;
    height :25px;
    margin : 12px 0;
    border : 1px solid #929292;
}

.button{
    display : block;
    background-color: forestgreen;
    text-decoration : none;
    text-align  : center;
    color       : white;
    font-size   : 16px;
    font-weight : 600;
    margin : 12px 0;
    padding : 8px 0;
}
.button:hover{
    background-color:#696969;
}
hr {
  border: 6px solid grey;
  border-radius: 5px;
}

/*========== Responsive Layout ==========*/

@media only screen and (min-width: 600px) {
    #meals {
    width: 80%;
    margin: auto;    
}
    #recipe {
    width: 80%;
    margin: auto;    
}    
}

@media only screen and (min-width: 1000px) {
     #meals {
    width: 60%;
    margin: auto;    
}
    #recipe {
    width: 60%;
    margin: auto;    
}
    
@media only screen and (min-width: 1500px) {
     #meals {
    width: 40%;
    margin: auto;    
}
    #recipe {
    width: 40%;
    margin: auto;    
}   
}
    
@media only screen and (min-width: 720px) {
    .body-home{
        background-image: url('images/background-01-land.png')
    }

    .body-meals{
        background-image: url('images/background-02-land.png')
    }
}
    



